Subject: bug#41659: 28.0.50; smime: encryption uses now base64, message not readable

From: Uwe Brauer <[email-masked]>
Date: Thu, 23 Jul 2020 17:17:30 +0200

>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:

   > OK, I see what the bug is now -- my previous patch always added a
   > Content-type header to the decrypted message.  This helped with a test
   > case I had where the decrypted message didn't have one, and the parsing
   > failed there.

   > With the added header, it instead fails if the decrypted message does
   > already have a Content-type header, as all encrypted messages from
   > Message has.

I came that far, then I simply tried not to insert that header but then
I could not encrypt those message, but I don't even understand the whole code.
   > So I think the fix here is to just check before adding...